<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="myskysfa.com.sfa">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.SET_DEBUG_APP" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <permission
        android:name="myskysfa.com.sfa.permission.C2D_MESSAGE"
        android:protectionLevel="signature" />

    <uses-permission android:name="myskysfa.com.sfa.permission.C2D_MESSAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_GPS" />
    <uses-permission android:name="android.permission.ACCESS_ASSISTED_GPS" />

    <!-- Creating Permission to receive Google Maps -->
    <permission
        android:name="myskysfa.com.sfa.permission.MAPS_RECEIVE"
        android:protectionLevel="signature" />

    <!-- Permission to receive Google Maps -->
    <uses-permission android:name="com.arshad.map.permission.MAPS_RECEIVE" />

    <!-- Maps API needs OpenGL ES 2.0. -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <application
        android:name="android.support.multidex.MultiDexApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme">
        <activity
            android:name="myskysfa.com.sfa.main.MainMenuActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name="myskysfa.com.sfa.main.LoginActivity"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/title_activity_login"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden"></activity>

        <activity
            android:name="myskysfa.com.sfa.main.SplashActivity"
            android:configChanges="keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden"></activity>

        <!--<activity
            android:name=".main.menu.ftdtd.survay.FTSurvay"
            android:configChanges="keyboardHidden"
            android:screenOrientation="portrait"
            android:label="@string/survay"
            android:windowSoftInputMode="stateHidden" >
        </activity>-->

        <!--<activity
            android:name=".main.menu.ftdtd.FormFTDTD"
            android:configChanges="keyboardHidden"
            android:screenOrientation="portrait"
            android:label="@string/survay"
            android:windowSoftInputMode="stateHidden" >
        </activity>-->

        <activity
            android:name=".main.menu.dtdproject.FormProDTD"
            android:configChanges="keyboardHidden"
            android:label="@string/dtdpro"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden">
        </activity>

        <activity
            android:name=".main.menu.MainFragmentMS"
            android:configChanges="keyboardHidden"
            android:label="@string/modern_store"
            android:screenOrientation="portrait">
        </activity>

        <activity
            android:name=".main.menu.MainFragmentDTD"
            android:configChanges="keyboardHidden"
            android:label="@string/dtd2"
            android:screenOrientation="portrait">
        </activity>

        <activity
            android:name=".main.menu.AgreementActivity"
            android:label="@string/title_activity_agreement"
            android:theme="@style/AppTheme" />

        <!--<meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyDhE5uLmhvDzdK64P-FXiVoEmGe-a6r16U" />-->

        <!--<meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyBDfP1zjDw_76Fve_57YcvPz-bRy9iV6eI" />

        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />-->

        <!--
            Defining Services
        -->

        <service android:name=".service.MyFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <service android:name=".service.MyFirebaseInstanceIdService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>


        <service
            android:name=".service.AutoSender"
            android:exported="true" />

        <receiver android:name=".service.SessionService">
            <intent-filter><action android:name="com.android.techtrainner"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
        </receiver>
        <receiver android:name=".service.BroadCaseRC">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>
        <receiver android:name=".service.MyWakefulReceiver" />

        <activity
            android:name=".main.menu.SignatureWebViewActivity"
            android:screenOrientation="portrait" />
    </application>
</manifest>
